#!/bin/bash
# script to test mogul with co2.pdb example
if [[ $# -ne 1 ]]
then
    echo "ERROR you must specify one argument the full path of the mogul executable"
    echo "ERROR for instance:"
    echo "$0 /global/va_1/opt/ccdc/csd/5.35/cambridge/bin/mogul"
    exit 1
fi
export MYMOGUL=$1
echo "results of $0"
echo "testing mogul executable $MYMOGUL"
# check it is executable
if [[ ! -x $MYMOGUL ]]
then
    echo "ERROR '$MYMOGUL' is not executable"
    exit 1;
fi
# want to know mount information
echo
echo "mount information"
mount

echo 
echo "test run with 'time $MYMOGUL -ins mogul.in'"
time $MYMOGUL -ins mogul.in 

MYOUT="mogul_out.txt"
if [[ -r $MYOUT ]] 
then
    echo
    echo "job ran and produced $MYOUT with contents"
    cat $MYOUT
    mv $MYOUT $MYOUT".old"
else
    echo "No $MYOUT was produced"
fi

